/* 
	csw-tabs-horizontal.js
   
   Version: [2018-01-02 01:28 pm]
*/
var hTabHash = window.location.hash;

jQuery(document).ready(function() {


	// setup On Click Handlers
	jQuery('.cswTabsHoriz nav > ul > li > a').click( function(event){ doTabsHorizClick(event, jQuery(this)); } );
	

	
	// If URL parameter 'activeTab' is defined, use that as the hash
	var aTab = getURLParam('activeTab');
   if( typeof aTab == 'undefined' )
      aTab = getURLParam('activetab');
   if( typeof aTab == 'undefined' )
      aTab = getURLParam('ActiveTab');
 
	if( typeof aTab != 'undefined' && aTab != '' )
		hTabHash = aTab;	 


	if( typeof hTabHash != 'undefined' && hTabHash != '' )
		openRelatedHorizontalTab(hTabHash);

	//
	// Open Horizontal Tab from URL hash (looks for an element with id of 'hHab-{hash}"
	//
	function openRelatedHorizontalTab(hashList) {
		var i = 0;
		var listArr = hashList.split(':');

		for (i = 0; i < listArr.length; ++i)
		{
			// remove hash ##
			var hash = listArr[i];
			var id = 'hTabID-' + hash.replace('#', '').toLowerCase();

			// check if tab with that ID exists
			if( jQuery('#' + id).length )
      	   jQuery('#' + id)[0].click();
		}
	}
});

function getURLParam(k){
 	var p={};
 	location.search.replace(/[?&]+([^=&]+)=([^&]*)/gi,function(s,k,v){p[k]=v});
 	return k?p[k]:'';
}


function doTabsHorizClick(event, el)
{
	var e = jQuery(el);
	var clickedLI = e.parent();
	var clickedHREF = e.attr('href');
	
	var ul = clickedLI.parent();
	var activeLI = ul.find('[class*="tab-current"]');
	var activeA = activeLI.children(':first');
	var activeHREF = activeA.attr('href');

	// remove tab-current class from active tab and add to newly clicked tab
	activeLI.removeClass('tab-current');
	clickedLI.addClass('tab-current');

	// remove tab-current class from active content and add to newly clicked content
	if( typeof activeHREF != 'undefined' )
		jQuery(activeHREF).removeClass('content-current');
	
	if( typeof clickedHREF != 'undefined' )
		jQuery(clickedHREF).addClass('content-current');
	
	event.preventDefault();	
}


